Merging upstream version 0.5.6 (Closes: #754560, #754558).
[debian/lxde-common.git] / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17
18 VPATH = @srcdir@
19 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20 am__make_running_with_option = \
21 case $${target_option-} in \
22 ?) ;; \
23 *) echo "am__make_running_with_option: internal error: invalid" \
24 "target option '$${target_option-}' specified" >&2; \
25 exit 1;; \
26 esac; \
27 has_opt=no; \
28 sane_makeflags=$$MAKEFLAGS; \
29 if $(am__is_gnu_make); then \
30 sane_makeflags=$$MFLAGS; \
31 else \
32 case $$MAKEFLAGS in \
33 *\\[\ \ ]*) \
34 bs=\\; \
35 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
37 esac; \
38 fi; \
39 skip_next=no; \
40 strip_trailopt () \
41 { \
42 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43 }; \
44 for flg in $$sane_makeflags; do \
45 test $$skip_next = yes && { skip_next=no; continue; }; \
46 case $$flg in \
47 *=*|--*) continue;; \
48 -*I) strip_trailopt 'I'; skip_next=yes;; \
49 -*I?*) strip_trailopt 'I';; \
50 -*O) strip_trailopt 'O'; skip_next=yes;; \
51 -*O?*) strip_trailopt 'O';; \
52 -*l) strip_trailopt 'l'; skip_next=yes;; \
53 -*l?*) strip_trailopt 'l';; \
54 -[dEDm]) skip_next=yes;; \
55 -[JT]) skip_next=yes;; \
56 esac; \
57 case $$flg in \
58 *$$target_option*) has_opt=yes; break;; \
59 esac; \
60 done; \
61 test $$has_opt = yes
62 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
64 pkgdatadir = $(datadir)/@PACKAGE@
65 pkgincludedir = $(includedir)/@PACKAGE@
66 pkglibdir = $(libdir)/@PACKAGE@
67 pkglibexecdir = $(libexecdir)/@PACKAGE@
68 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69 install_sh_DATA = $(install_sh) -c -m 644
70 install_sh_PROGRAM = $(install_sh) -c
71 install_sh_SCRIPT = $(install_sh) -c
72 INSTALL_HEADER = $(INSTALL_DATA)
73 transform = $(program_transform_name)
74 NORMAL_INSTALL = :
75 PRE_INSTALL = :
76 POST_INSTALL = :
77 NORMAL_UNINSTALL = :
78 PRE_UNINSTALL = :
79 POST_UNINSTALL = :
80 subdir = .
81 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
82 $(top_srcdir)/configure $(am__configure_deps) \
83 $(srcdir)/startlxde.in $(srcdir)/lxde-logout.in \
84 $(srcdir)/LXDE.desktop.in $(srcdir)/lxde-logout.desktop.in \
85 $(top_srcdir)/lxpanel/panel.in $(top_srcdir)/openbox/rc.xml.in \
86 $(srcdir)/openbox-lxde.in \
87 $(top_srcdir)/pcmanfm/pcmanfm.conf.in AUTHORS COPYING \
88 ChangeLog INSTALL NEWS README install-sh missing
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
91 $(top_srcdir)/configure.ac
92 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93 $(ACLOCAL_M4)
94 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
95 configure.lineno config.status.lineno
96 mkinstalldirs = $(install_sh) -d
97 CONFIG_CLEAN_FILES = startlxde lxde-logout LXDE.desktop \
98 lxde-logout.desktop lxpanel/panel openbox/rc.xml openbox-lxde \
99 pcmanfm/pcmanfm.conf
100 CONFIG_CLEAN_VPATH_FILES =
101 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
102 am__vpath_adj = case $$p in \
103 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
104 *) f=$$p;; \
105 esac;
106 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
107 am__install_max = 40
108 am__nobase_strip_setup = \
109 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
110 am__nobase_strip = \
111 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
112 am__nobase_list = $(am__nobase_strip_setup); \
113 for p in $$list; do echo "$$p $$p"; done | \
114 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
115 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
116 if (++n[$$2] == $(am__install_max)) \
117 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
118 END { for (dir in files) print dir, files[dir] }'
119 am__base_list = \
120 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
121 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
122 am__uninstall_files_from_dir = { \
123 test -z "$$files" \
124 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
125 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
126 $(am__cd) "$$dir" && rm -f $$files; }; \
127 }
128 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" \
129 "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" \
130 "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" \
131 "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" \
132 "$(DESTDIR)$(xsessiondir)"
133 SCRIPTS = $(bin_SCRIPTS)
134 AM_V_P = $(am__v_P_@AM_V@)
135 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
136 am__v_P_0 = false
137 am__v_P_1 = :
138 AM_V_GEN = $(am__v_GEN_@AM_V@)
139 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
140 am__v_GEN_0 = @echo " GEN " $@;
141 am__v_GEN_1 =
142 AM_V_at = $(am__v_at_@AM_V@)
143 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
144 am__v_at_0 = @
145 am__v_at_1 =
146 SOURCES =
147 DIST_SOURCES =
148 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
149 ctags-recursive dvi-recursive html-recursive info-recursive \
150 install-data-recursive install-dvi-recursive \
151 install-exec-recursive install-html-recursive \
152 install-info-recursive install-pdf-recursive \
153 install-ps-recursive install-recursive installcheck-recursive \
154 installdirs-recursive pdf-recursive ps-recursive \
155 tags-recursive uninstall-recursive
156 am__can_run_installinfo = \
157 case $$AM_UPDATE_INFO_DIR in \
158 n|no|NO) false;; \
159 *) (install-info --version) >/dev/null 2>&1;; \
160 esac
161 DATA = $(defaults_DATA) $(images_DATA) $(lxpanel_DATA) \
162 $(lxpanel_panel_DATA) $(openbox_DATA) $(pcmanfm_DATA) \
163 $(wallpapers_DATA) $(xsession_DATA)
164 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
165 distclean-recursive maintainer-clean-recursive
166 am__recursive_targets = \
167 $(RECURSIVE_TARGETS) \
168 $(RECURSIVE_CLEAN_TARGETS) \
169 $(am__extra_recursive_targets)
170 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
171 cscope distdir dist dist-all distcheck
172 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
173 # Read a list of newline-separated strings from the standard input,
174 # and print each of them once, without duplicates. Input order is
175 # *not* preserved.
176 am__uniquify_input = $(AWK) '\
177 BEGIN { nonempty = 0; } \
178 { items[$$0] = 1; nonempty = 1; } \
179 END { if (nonempty) { for (i in items) print i; }; } \
180 '
181 # Make sure the list of sources is unique. This is necessary because,
182 # e.g., the same source file might be shared among _SOURCES variables
183 # for different programs/libraries.
184 am__define_uniq_tagged_files = \
185 list='$(am__tagged_files)'; \
186 unique=`for i in $$list; do \
187 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
188 done | $(am__uniquify_input)`
189 ETAGS = etags
190 CTAGS = ctags
191 CSCOPE = cscope
192 DIST_SUBDIRS = $(SUBDIRS)
193 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
194 distdir = $(PACKAGE)-$(VERSION)
195 top_distdir = $(distdir)
196 am__remove_distdir = \
197 if test -d "$(distdir)"; then \
198 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
199 && rm -rf "$(distdir)" \
200 || { sleep 5 && rm -rf "$(distdir)"; }; \
201 else :; fi
202 am__post_remove_distdir = $(am__remove_distdir)
203 am__relativize = \
204 dir0=`pwd`; \
205 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
206 sed_rest='s,^[^/]*/*,,'; \
207 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
208 sed_butlast='s,/*[^/]*$$,,'; \
209 while test -n "$$dir1"; do \
210 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
211 if test "$$first" != "."; then \
212 if test "$$first" = ".."; then \
213 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
214 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
215 else \
216 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
217 if test "$$first2" = "$$first"; then \
218 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
219 else \
220 dir2="../$$dir2"; \
221 fi; \
222 dir0="$$dir0"/"$$first"; \
223 fi; \
224 fi; \
225 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
226 done; \
227 reldir="$$dir2"
228 GZIP_ENV = --best
229 DIST_ARCHIVES = $(distdir).tar.xz
230 DIST_TARGETS = dist-xz
231 distuninstallcheck_listfiles = find . -type f -print
232 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
233 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
234 distcleancheck_listfiles = find . -type f -print
235 ACLOCAL = @ACLOCAL@
236 AMTAR = @AMTAR@
237 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
238 AUTOCONF = @AUTOCONF@
239 AUTOHEADER = @AUTOHEADER@
240 AUTOMAKE = @AUTOMAKE@
241 AWK = @AWK@
242 CYGPATH_W = @CYGPATH_W@
243 DEFS = @DEFS@
244 ECHO_C = @ECHO_C@
245 ECHO_N = @ECHO_N@
246 ECHO_T = @ECHO_T@
247 INSTALL = @INSTALL@
248 INSTALL_DATA = @INSTALL_DATA@
249 INSTALL_PROGRAM = @INSTALL_PROGRAM@
250 INSTALL_SCRIPT = @INSTALL_SCRIPT@
251 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
252 LIBOBJS = @LIBOBJS@
253 LIBS = @LIBS@
254 LN_S = @LN_S@
255 LTLIBOBJS = @LTLIBOBJS@
256 MAKEINFO = @MAKEINFO@
257 MKDIR_P = @MKDIR_P@
258 PACKAGE = @PACKAGE@
259 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
260 PACKAGE_NAME = @PACKAGE_NAME@
261 PACKAGE_STRING = @PACKAGE_STRING@
262 PACKAGE_TARNAME = @PACKAGE_TARNAME@
263 PACKAGE_URL = @PACKAGE_URL@
264 PACKAGE_VERSION = @PACKAGE_VERSION@
265 PATH_SEPARATOR = @PATH_SEPARATOR@
266 SET_MAKE = @SET_MAKE@
267 SHELL = @SHELL@
268 STRIP = @STRIP@
269 VERSION = @VERSION@
270 XMLCATALOG = @XMLCATALOG@
271 XML_CATALOG_FILE = @XML_CATALOG_FILE@
272 XSLTPROC = @XSLTPROC@
273 abs_builddir = @abs_builddir@
274 abs_srcdir = @abs_srcdir@
275 abs_top_builddir = @abs_top_builddir@
276 abs_top_srcdir = @abs_top_srcdir@
277 am__leading_dot = @am__leading_dot@
278 am__tar = @am__tar@
279 am__untar = @am__untar@
280 bindir = @bindir@
281 build_alias = @build_alias@
282 builddir = @builddir@
283 datadir = @datadir@
284 datarootdir = @datarootdir@
285 docdir = @docdir@
286 dvidir = @dvidir@
287 exec_prefix = @exec_prefix@
288 host_alias = @host_alias@
289 htmldir = @htmldir@
290 includedir = @includedir@
291 infodir = @infodir@
292 install_sh = @install_sh@
293 libdir = @libdir@
294 libexecdir = @libexecdir@
295 localedir = @localedir@
296 localstatedir = @localstatedir@
297 mandir = @mandir@
298 mkdir_p = @mkdir_p@
299 oldincludedir = @oldincludedir@
300 pdfdir = @pdfdir@
301 prefix = @prefix@
302 program_transform_name = @program_transform_name@
303 psdir = @psdir@
304 sbindir = @sbindir@
305 sharedstatedir = @sharedstatedir@
306 srcdir = @srcdir@
307 sysconfdir = @sysconfdir@
308 target_alias = @target_alias@
309 top_build_prefix = @top_build_prefix@
310 top_builddir = @top_builddir@
311 top_srcdir = @top_srcdir@
312 xsesspath = @xsesspath@
313 SUBDIRS = man
314 bin_SCRIPTS = startlxde lxde-logout openbox-lxde
315
316 # Currently these paths are hardcoded.
317 xsessiondir = $(xsesspath)
318 xsession_DATA = LXDE.desktop
319 defaultsdir = $(sysconfdir)/xdg/lxsession/LXDE
320 defaults_DATA = autostart desktop.conf
321 wallpapersdir = $(datadir)/lxde/wallpapers
322 wallpapers_DATA = \
323 wallpapers/lxde_blue.jpg \
324 wallpapers/lxde_red.jpg \
325 wallpapers/lxde_green.jpg
326
327 imagesdir = $(datadir)/lxde/images
328 images_DATA = \
329 images/logout-banner.png \
330 images/lxde-icon.png
331
332 lxpaneldir = $(sysconfdir)/xdg/lxpanel/profile/LXDE
333 lxpanel_DATA = lxpanel/config
334 lxpanel_paneldir = $(sysconfdir)/xdg/lxpanel/profile/LXDE/panels
335 lxpanel_panel_DATA = lxpanel/panel
336 openboxdir = $(sysconfdir)/xdg/openbox/LXDE
337 openbox_DATA = \
338 openbox/rc.xml \
339 openbox/menu.xml
340
341 pcmanfmdir = $(sysconfdir)/xdg/pcmanfm/LXDE
342 pcmanfm_DATA = \
343 pcmanfm/pcmanfm.conf
344
345 EXTRA_DIST = \
346 autostart \
347 desktop.conf \
348 LXDE.desktop.in \
349 startlxde.in \
350 $(wallpapers_DATA) \
351 $(images_DATA) \
352 openbox/rc.xml.in \
353 openbox/menu.xml \
354 openbox-lxde.in \
355 pcmanfm/pcmanfm.conf.in \
356 $(lxpanel_DATA) \
357 lxpanel/panel.in
358
359 CLEANFILES = $(bin_SCRIPTS)
360 all: all-recursive
361
362 .SUFFIXES:
363 am--refresh: Makefile
364 @:
365 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
366 @for dep in $?; do \
367 case '$(am__configure_deps)' in \
368 *$$dep*) \
369 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
370 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
371 && exit 0; \
372 exit 1;; \
373 esac; \
374 done; \
375 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
376 $(am__cd) $(top_srcdir) && \
377 $(AUTOMAKE) --foreign Makefile
378 .PRECIOUS: Makefile
379 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
380 @case '$?' in \
381 *config.status*) \
382 echo ' $(SHELL) ./config.status'; \
383 $(SHELL) ./config.status;; \
384 *) \
385 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
386 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
387 esac;
388
389 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
390 $(SHELL) ./config.status --recheck
391
392 $(top_srcdir)/configure: $(am__configure_deps)
393 $(am__cd) $(srcdir) && $(AUTOCONF)
394 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
395 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
396 $(am__aclocal_m4_deps):
397 startlxde: $(top_builddir)/config.status $(srcdir)/startlxde.in
398 cd $(top_builddir) && $(SHELL) ./config.status $@
399 lxde-logout: $(top_builddir)/config.status $(srcdir)/lxde-logout.in
400 cd $(top_builddir) && $(SHELL) ./config.status $@
401 LXDE.desktop: $(top_builddir)/config.status $(srcdir)/LXDE.desktop.in
402 cd $(top_builddir) && $(SHELL) ./config.status $@
403 lxde-logout.desktop: $(top_builddir)/config.status $(srcdir)/lxde-logout.desktop.in
404 cd $(top_builddir) && $(SHELL) ./config.status $@
405 lxpanel/panel: $(top_builddir)/config.status $(top_srcdir)/lxpanel/panel.in
406 cd $(top_builddir) && $(SHELL) ./config.status $@
407 openbox/rc.xml: $(top_builddir)/config.status $(top_srcdir)/openbox/rc.xml.in
408 cd $(top_builddir) && $(SHELL) ./config.status $@
409 openbox-lxde: $(top_builddir)/config.status $(srcdir)/openbox-lxde.in
410 cd $(top_builddir) && $(SHELL) ./config.status $@
411 pcmanfm/pcmanfm.conf: $(top_builddir)/config.status $(top_srcdir)/pcmanfm/pcmanfm.conf.in
412 cd $(top_builddir) && $(SHELL) ./config.status $@
413 install-binSCRIPTS: $(bin_SCRIPTS)
414 @$(NORMAL_INSTALL)
415 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
416 if test -n "$$list"; then \
417 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
418 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
419 fi; \
420 for p in $$list; do \
421 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
422 if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
423 done | \
424 sed -e 'p;s,.*/,,;n' \
425 -e 'h;s|.*|.|' \
426 -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
427 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
428 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
429 if ($$2 == $$4) { files[d] = files[d] " " $$1; \
430 if (++n[d] == $(am__install_max)) { \
431 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
432 else { print "f", d "/" $$4, $$1 } } \
433 END { for (d in files) print "f", d, files[d] }' | \
434 while read type dir files; do \
435 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
436 test -z "$$files" || { \
437 echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
438 $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
439 } \
440 ; done
441
442 uninstall-binSCRIPTS:
443 @$(NORMAL_UNINSTALL)
444 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
445 files=`for p in $$list; do echo "$$p"; done | \
446 sed -e 's,.*/,,;$(transform)'`; \
447 dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
448 install-defaultsDATA: $(defaults_DATA)
449 @$(NORMAL_INSTALL)
450 @list='$(defaults_DATA)'; test -n "$(defaultsdir)" || list=; \
451 if test -n "$$list"; then \
452 echo " $(MKDIR_P) '$(DESTDIR)$(defaultsdir)'"; \
453 $(MKDIR_P) "$(DESTDIR)$(defaultsdir)" || exit 1; \
454 fi; \
455 for p in $$list; do \
456 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
457 echo "$$d$$p"; \
458 done | $(am__base_list) | \
459 while read files; do \
460 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(defaultsdir)'"; \
461 $(INSTALL_DATA) $$files "$(DESTDIR)$(defaultsdir)" || exit $$?; \
462 done
463
464 uninstall-defaultsDATA:
465 @$(NORMAL_UNINSTALL)
466 @list='$(defaults_DATA)'; test -n "$(defaultsdir)" || list=; \
467 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
468 dir='$(DESTDIR)$(defaultsdir)'; $(am__uninstall_files_from_dir)
469 install-imagesDATA: $(images_DATA)
470 @$(NORMAL_INSTALL)
471 @list='$(images_DATA)'; test -n "$(imagesdir)" || list=; \
472 if test -n "$$list"; then \
473 echo " $(MKDIR_P) '$(DESTDIR)$(imagesdir)'"; \
474 $(MKDIR_P) "$(DESTDIR)$(imagesdir)" || exit 1; \
475 fi; \
476 for p in $$list; do \
477 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
478 echo "$$d$$p"; \
479 done | $(am__base_list) | \
480 while read files; do \
481 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(imagesdir)'"; \
482 $(INSTALL_DATA) $$files "$(DESTDIR)$(imagesdir)" || exit $$?; \
483 done
484
485 uninstall-imagesDATA:
486 @$(NORMAL_UNINSTALL)
487 @list='$(images_DATA)'; test -n "$(imagesdir)" || list=; \
488 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
489 dir='$(DESTDIR)$(imagesdir)'; $(am__uninstall_files_from_dir)
490 install-lxpanelDATA: $(lxpanel_DATA)
491 @$(NORMAL_INSTALL)
492 @list='$(lxpanel_DATA)'; test -n "$(lxpaneldir)" || list=; \
493 if test -n "$$list"; then \
494 echo " $(MKDIR_P) '$(DESTDIR)$(lxpaneldir)'"; \
495 $(MKDIR_P) "$(DESTDIR)$(lxpaneldir)" || exit 1; \
496 fi; \
497 for p in $$list; do \
498 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
499 echo "$$d$$p"; \
500 done | $(am__base_list) | \
501 while read files; do \
502 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(lxpaneldir)'"; \
503 $(INSTALL_DATA) $$files "$(DESTDIR)$(lxpaneldir)" || exit $$?; \
504 done
505
506 uninstall-lxpanelDATA:
507 @$(NORMAL_UNINSTALL)
508 @list='$(lxpanel_DATA)'; test -n "$(lxpaneldir)" || list=; \
509 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
510 dir='$(DESTDIR)$(lxpaneldir)'; $(am__uninstall_files_from_dir)
511 install-lxpanel_panelDATA: $(lxpanel_panel_DATA)
512 @$(NORMAL_INSTALL)
513 @list='$(lxpanel_panel_DATA)'; test -n "$(lxpanel_paneldir)" || list=; \
514 if test -n "$$list"; then \
515 echo " $(MKDIR_P) '$(DESTDIR)$(lxpanel_paneldir)'"; \
516 $(MKDIR_P) "$(DESTDIR)$(lxpanel_paneldir)" || exit 1; \
517 fi; \
518 for p in $$list; do \
519 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
520 echo "$$d$$p"; \
521 done | $(am__base_list) | \
522 while read files; do \
523 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(lxpanel_paneldir)'"; \
524 $(INSTALL_DATA) $$files "$(DESTDIR)$(lxpanel_paneldir)" || exit $$?; \
525 done
526
527 uninstall-lxpanel_panelDATA:
528 @$(NORMAL_UNINSTALL)
529 @list='$(lxpanel_panel_DATA)'; test -n "$(lxpanel_paneldir)" || list=; \
530 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
531 dir='$(DESTDIR)$(lxpanel_paneldir)'; $(am__uninstall_files_from_dir)
532 install-openboxDATA: $(openbox_DATA)
533 @$(NORMAL_INSTALL)
534 @list='$(openbox_DATA)'; test -n "$(openboxdir)" || list=; \
535 if test -n "$$list"; then \
536 echo " $(MKDIR_P) '$(DESTDIR)$(openboxdir)'"; \
537 $(MKDIR_P) "$(DESTDIR)$(openboxdir)" || exit 1; \
538 fi; \
539 for p in $$list; do \
540 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
541 echo "$$d$$p"; \
542 done | $(am__base_list) | \
543 while read files; do \
544 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(openboxdir)'"; \
545 $(INSTALL_DATA) $$files "$(DESTDIR)$(openboxdir)" || exit $$?; \
546 done
547
548 uninstall-openboxDATA:
549 @$(NORMAL_UNINSTALL)
550 @list='$(openbox_DATA)'; test -n "$(openboxdir)" || list=; \
551 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
552 dir='$(DESTDIR)$(openboxdir)'; $(am__uninstall_files_from_dir)
553 install-pcmanfmDATA: $(pcmanfm_DATA)
554 @$(NORMAL_INSTALL)
555 @list='$(pcmanfm_DATA)'; test -n "$(pcmanfmdir)" || list=; \
556 if test -n "$$list"; then \
557 echo " $(MKDIR_P) '$(DESTDIR)$(pcmanfmdir)'"; \
558 $(MKDIR_P) "$(DESTDIR)$(pcmanfmdir)" || exit 1; \
559 fi; \
560 for p in $$list; do \
561 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
562 echo "$$d$$p"; \
563 done | $(am__base_list) | \
564 while read files; do \
565 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pcmanfmdir)'"; \
566 $(INSTALL_DATA) $$files "$(DESTDIR)$(pcmanfmdir)" || exit $$?; \
567 done
568
569 uninstall-pcmanfmDATA:
570 @$(NORMAL_UNINSTALL)
571 @list='$(pcmanfm_DATA)'; test -n "$(pcmanfmdir)" || list=; \
572 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
573 dir='$(DESTDIR)$(pcmanfmdir)'; $(am__uninstall_files_from_dir)
574 install-wallpapersDATA: $(wallpapers_DATA)
575 @$(NORMAL_INSTALL)
576 @list='$(wallpapers_DATA)'; test -n "$(wallpapersdir)" || list=; \
577 if test -n "$$list"; then \
578 echo " $(MKDIR_P) '$(DESTDIR)$(wallpapersdir)'"; \
579 $(MKDIR_P) "$(DESTDIR)$(wallpapersdir)" || exit 1; \
580 fi; \
581 for p in $$list; do \
582 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
583 echo "$$d$$p"; \
584 done | $(am__base_list) | \
585 while read files; do \
586 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(wallpapersdir)'"; \
587 $(INSTALL_DATA) $$files "$(DESTDIR)$(wallpapersdir)" || exit $$?; \
588 done
589
590 uninstall-wallpapersDATA:
591 @$(NORMAL_UNINSTALL)
592 @list='$(wallpapers_DATA)'; test -n "$(wallpapersdir)" || list=; \
593 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
594 dir='$(DESTDIR)$(wallpapersdir)'; $(am__uninstall_files_from_dir)
595 install-xsessionDATA: $(xsession_DATA)
596 @$(NORMAL_INSTALL)
597 @list='$(xsession_DATA)'; test -n "$(xsessiondir)" || list=; \
598 if test -n "$$list"; then \
599 echo " $(MKDIR_P) '$(DESTDIR)$(xsessiondir)'"; \
600 $(MKDIR_P) "$(DESTDIR)$(xsessiondir)" || exit 1; \
601 fi; \
602 for p in $$list; do \
603 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
604 echo "$$d$$p"; \
605 done | $(am__base_list) | \
606 while read files; do \
607 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(xsessiondir)'"; \
608 $(INSTALL_DATA) $$files "$(DESTDIR)$(xsessiondir)" || exit $$?; \
609 done
610
611 uninstall-xsessionDATA:
612 @$(NORMAL_UNINSTALL)
613 @list='$(xsession_DATA)'; test -n "$(xsessiondir)" || list=; \
614 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
615 dir='$(DESTDIR)$(xsessiondir)'; $(am__uninstall_files_from_dir)
616
617 # This directory's subdirectories are mostly independent; you can cd
618 # into them and run 'make' without going through this Makefile.
619 # To change the values of 'make' variables: instead of editing Makefiles,
620 # (1) if the variable is set in 'config.status', edit 'config.status'
621 # (which will cause the Makefiles to be regenerated when you run 'make');
622 # (2) otherwise, pass the desired values on the 'make' command line.
623 $(am__recursive_targets):
624 @fail=; \
625 if $(am__make_keepgoing); then \
626 failcom='fail=yes'; \
627 else \
628 failcom='exit 1'; \
629 fi; \
630 dot_seen=no; \
631 target=`echo $@ | sed s/-recursive//`; \
632 case "$@" in \
633 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
634 *) list='$(SUBDIRS)' ;; \
635 esac; \
636 for subdir in $$list; do \
637 echo "Making $$target in $$subdir"; \
638 if test "$$subdir" = "."; then \
639 dot_seen=yes; \
640 local_target="$$target-am"; \
641 else \
642 local_target="$$target"; \
643 fi; \
644 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
645 || eval $$failcom; \
646 done; \
647 if test "$$dot_seen" = "no"; then \
648 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
649 fi; test -z "$$fail"
650
651 ID: $(am__tagged_files)
652 $(am__define_uniq_tagged_files); mkid -fID $$unique
653 tags: tags-recursive
654 TAGS: tags
655
656 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
657 set x; \
658 here=`pwd`; \
659 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
660 include_option=--etags-include; \
661 empty_fix=.; \
662 else \
663 include_option=--include; \
664 empty_fix=; \
665 fi; \
666 list='$(SUBDIRS)'; for subdir in $$list; do \
667 if test "$$subdir" = .; then :; else \
668 test ! -f $$subdir/TAGS || \
669 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
670 fi; \
671 done; \
672 $(am__define_uniq_tagged_files); \
673 shift; \
674 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
675 test -n "$$unique" || unique=$$empty_fix; \
676 if test $$# -gt 0; then \
677 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
678 "$$@" $$unique; \
679 else \
680 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
681 $$unique; \
682 fi; \
683 fi
684 ctags: ctags-recursive
685
686 CTAGS: ctags
687 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
688 $(am__define_uniq_tagged_files); \
689 test -z "$(CTAGS_ARGS)$$unique" \
690 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
691 $$unique
692
693 GTAGS:
694 here=`$(am__cd) $(top_builddir) && pwd` \
695 && $(am__cd) $(top_srcdir) \
696 && gtags -i $(GTAGS_ARGS) "$$here"
697 cscope: cscope.files
698 test ! -s cscope.files \
699 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
700 clean-cscope:
701 -rm -f cscope.files
702 cscope.files: clean-cscope cscopelist
703 cscopelist: cscopelist-recursive
704
705 cscopelist-am: $(am__tagged_files)
706 list='$(am__tagged_files)'; \
707 case "$(srcdir)" in \
708 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
709 *) sdir=$(subdir)/$(srcdir) ;; \
710 esac; \
711 for i in $$list; do \
712 if test -f "$$i"; then \
713 echo "$(subdir)/$$i"; \
714 else \
715 echo "$$sdir/$$i"; \
716 fi; \
717 done >> $(top_builddir)/cscope.files
718
719 distclean-tags:
720 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
721 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
722
723 distdir: $(DISTFILES)
724 $(am__remove_distdir)
725 test -d "$(distdir)" || mkdir "$(distdir)"
726 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
727 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
728 list='$(DISTFILES)'; \
729 dist_files=`for file in $$list; do echo $$file; done | \
730 sed -e "s|^$$srcdirstrip/||;t" \
731 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
732 case $$dist_files in \
733 */*) $(MKDIR_P) `echo "$$dist_files" | \
734 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
735 sort -u` ;; \
736 esac; \
737 for file in $$dist_files; do \
738 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
739 if test -d $$d/$$file; then \
740 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
741 if test -d "$(distdir)/$$file"; then \
742 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
743 fi; \
744 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
745 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
746 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
747 fi; \
748 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
749 else \
750 test -f "$(distdir)/$$file" \
751 || cp -p $$d/$$file "$(distdir)/$$file" \
752 || exit 1; \
753 fi; \
754 done
755 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
756 if test "$$subdir" = .; then :; else \
757 $(am__make_dryrun) \
758 || test -d "$(distdir)/$$subdir" \
759 || $(MKDIR_P) "$(distdir)/$$subdir" \
760 || exit 1; \
761 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
762 $(am__relativize); \
763 new_distdir=$$reldir; \
764 dir1=$$subdir; dir2="$(top_distdir)"; \
765 $(am__relativize); \
766 new_top_distdir=$$reldir; \
767 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
768 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
769 ($(am__cd) $$subdir && \
770 $(MAKE) $(AM_MAKEFLAGS) \
771 top_distdir="$$new_top_distdir" \
772 distdir="$$new_distdir" \
773 am__remove_distdir=: \
774 am__skip_length_check=: \
775 am__skip_mode_fix=: \
776 distdir) \
777 || exit 1; \
778 fi; \
779 done
780 -test -n "$(am__skip_mode_fix)" \
781 || find "$(distdir)" -type d ! -perm -755 \
782 -exec chmod u+rwx,go+rx {} \; -o \
783 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
784 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
785 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
786 || chmod -R a+r "$(distdir)"
787 dist-gzip: distdir
788 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
789 $(am__post_remove_distdir)
790
791 dist-bzip2: distdir
792 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
793 $(am__post_remove_distdir)
794
795 dist-lzip: distdir
796 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
797 $(am__post_remove_distdir)
798 dist-xz: distdir
799 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
800 $(am__post_remove_distdir)
801
802 dist-tarZ: distdir
803 @echo WARNING: "Support for shar distribution archives is" \
804 "deprecated." >&2
805 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
806 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
807 $(am__post_remove_distdir)
808
809 dist-shar: distdir
810 @echo WARNING: "Support for distribution archives compressed with" \
811 "legacy program 'compress' is deprecated." >&2
812 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
813 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
814 $(am__post_remove_distdir)
815
816 dist-zip: distdir
817 -rm -f $(distdir).zip
818 zip -rq $(distdir).zip $(distdir)
819 $(am__post_remove_distdir)
820
821 dist dist-all:
822 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
823 $(am__post_remove_distdir)
824
825 # This target untars the dist file and tries a VPATH configuration. Then
826 # it guarantees that the distribution is self-contained by making another
827 # tarfile.
828 distcheck: dist
829 case '$(DIST_ARCHIVES)' in \
830 *.tar.gz*) \
831 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
832 *.tar.bz2*) \
833 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
834 *.tar.lz*) \
835 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
836 *.tar.xz*) \
837 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
838 *.tar.Z*) \
839 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
840 *.shar.gz*) \
841 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
842 *.zip*) \
843 unzip $(distdir).zip ;;\
844 esac
845 chmod -R a-w $(distdir)
846 chmod u+w $(distdir)
847 mkdir $(distdir)/_build $(distdir)/_inst
848 chmod a-w $(distdir)
849 test -d $(distdir)/_build || exit 0; \
850 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
851 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
852 && am__cwd=`pwd` \
853 && $(am__cd) $(distdir)/_build \
854 && ../configure \
855 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
856 $(DISTCHECK_CONFIGURE_FLAGS) \
857 --srcdir=.. --prefix="$$dc_install_base" \
858 && $(MAKE) $(AM_MAKEFLAGS) \
859 && $(MAKE) $(AM_MAKEFLAGS) dvi \
860 && $(MAKE) $(AM_MAKEFLAGS) check \
861 && $(MAKE) $(AM_MAKEFLAGS) install \
862 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
863 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
864 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
865 distuninstallcheck \
866 && chmod -R a-w "$$dc_install_base" \
867 && ({ \
868 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
869 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
870 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
871 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
872 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
873 } || { rm -rf "$$dc_destdir"; exit 1; }) \
874 && rm -rf "$$dc_destdir" \
875 && $(MAKE) $(AM_MAKEFLAGS) dist \
876 && rm -rf $(DIST_ARCHIVES) \
877 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
878 && cd "$$am__cwd" \
879 || exit 1
880 $(am__post_remove_distdir)
881 @(echo "$(distdir) archives ready for distribution: "; \
882 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
883 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
884 distuninstallcheck:
885 @test -n '$(distuninstallcheck_dir)' || { \
886 echo 'ERROR: trying to run $@ with an empty' \
887 '$$(distuninstallcheck_dir)' >&2; \
888 exit 1; \
889 }; \
890 $(am__cd) '$(distuninstallcheck_dir)' || { \
891 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
892 exit 1; \
893 }; \
894 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
895 || { echo "ERROR: files left after uninstall:" ; \
896 if test -n "$(DESTDIR)"; then \
897 echo " (check DESTDIR support)"; \
898 fi ; \
899 $(distuninstallcheck_listfiles) ; \
900 exit 1; } >&2
901 distcleancheck: distclean
902 @if test '$(srcdir)' = . ; then \
903 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
904 exit 1 ; \
905 fi
906 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
907 || { echo "ERROR: files left in build directory after distclean:" ; \
908 $(distcleancheck_listfiles) ; \
909 exit 1; } >&2
910 check-am: all-am
911 check: check-recursive
912 all-am: Makefile $(SCRIPTS) $(DATA)
913 installdirs: installdirs-recursive
914 installdirs-am:
915 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" "$(DESTDIR)$(xsessiondir)"; do \
916 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
917 done
918 install: install-recursive
919 install-exec: install-exec-recursive
920 install-data: install-data-recursive
921 uninstall: uninstall-recursive
922
923 install-am: all-am
924 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
925
926 installcheck: installcheck-recursive
927 install-strip:
928 if test -z '$(STRIP)'; then \
929 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
930 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
931 install; \
932 else \
933 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
934 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
935 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
936 fi
937 mostlyclean-generic:
938
939 clean-generic:
940 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
941
942 distclean-generic:
943 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
944 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
945
946 maintainer-clean-generic:
947 @echo "This command is intended for maintainers to use"
948 @echo "it deletes files that may require special tools to rebuild."
949 clean: clean-recursive
950
951 clean-am: clean-generic mostlyclean-am
952
953 distclean: distclean-recursive
954 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
955 -rm -f Makefile
956 distclean-am: clean-am distclean-generic distclean-tags
957
958 dvi: dvi-recursive
959
960 dvi-am:
961
962 html: html-recursive
963
964 html-am:
965
966 info: info-recursive
967
968 info-am:
969
970 install-data-am: install-defaultsDATA install-imagesDATA \
971 install-lxpanelDATA install-lxpanel_panelDATA \
972 install-openboxDATA install-pcmanfmDATA install-wallpapersDATA \
973 install-xsessionDATA
974
975 install-dvi: install-dvi-recursive
976
977 install-dvi-am:
978
979 install-exec-am: install-binSCRIPTS
980
981 install-html: install-html-recursive
982
983 install-html-am:
984
985 install-info: install-info-recursive
986
987 install-info-am:
988
989 install-man:
990
991 install-pdf: install-pdf-recursive
992
993 install-pdf-am:
994
995 install-ps: install-ps-recursive
996
997 install-ps-am:
998
999 installcheck-am:
1000
1001 maintainer-clean: maintainer-clean-recursive
1002 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1003 -rm -rf $(top_srcdir)/autom4te.cache
1004 -rm -f Makefile
1005 maintainer-clean-am: distclean-am maintainer-clean-generic
1006
1007 mostlyclean: mostlyclean-recursive
1008
1009 mostlyclean-am: mostlyclean-generic
1010
1011 pdf: pdf-recursive
1012
1013 pdf-am:
1014
1015 ps: ps-recursive
1016
1017 ps-am:
1018
1019 uninstall-am: uninstall-binSCRIPTS uninstall-defaultsDATA \
1020 uninstall-imagesDATA uninstall-lxpanelDATA \
1021 uninstall-lxpanel_panelDATA uninstall-openboxDATA \
1022 uninstall-pcmanfmDATA uninstall-wallpapersDATA \
1023 uninstall-xsessionDATA
1024
1025 .MAKE: $(am__recursive_targets) install-am install-strip
1026
1027 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1028 am--refresh check check-am clean clean-cscope clean-generic \
1029 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
1030 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
1031 distcheck distclean distclean-generic distclean-tags \
1032 distcleancheck distdir distuninstallcheck dvi dvi-am html \
1033 html-am info info-am install install-am install-binSCRIPTS \
1034 install-data install-data-am install-defaultsDATA install-dvi \
1035 install-dvi-am install-exec install-exec-am install-html \
1036 install-html-am install-imagesDATA install-info \
1037 install-info-am install-lxpanelDATA install-lxpanel_panelDATA \
1038 install-man install-openboxDATA install-pcmanfmDATA \
1039 install-pdf install-pdf-am install-ps install-ps-am \
1040 install-strip install-wallpapersDATA install-xsessionDATA \
1041 installcheck installcheck-am installdirs installdirs-am \
1042 maintainer-clean maintainer-clean-generic mostlyclean \
1043 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
1044 uninstall-am uninstall-binSCRIPTS uninstall-defaultsDATA \
1045 uninstall-imagesDATA uninstall-lxpanelDATA \
1046 uninstall-lxpanel_panelDATA uninstall-openboxDATA \
1047 uninstall-pcmanfmDATA uninstall-wallpapersDATA \
1048 uninstall-xsessionDATA
1049
1050
1051 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1052 # Otherwise a system limit (for SysV at least) may be exceeded.
1053 .NOEXPORT: